| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
NetricsServerInterface.NetricsRecord Class Reference

This class holds record data for an ibi™ Patterns - Search table. More...

## Public Types
enum | ChildType { ORPHANS , NONORPHANS , ALL }
| The different types of child records. More...

## Public Member Functions
| NetricsRecord (String key, String parent_key, String[] fields)
| Create a NetricsRecord object.
| NetricsRecord (String key, String parent_key, String[] fields, String[] attr_names, String[] attr_values)
| Create a NetricsRecord object.
| NetricsRecord (String key, String[] fields, String[] attr_names, String[] attr_values)
| Create a NetricsRecord object.
| NetricsRecord (String key, String[] fields)
| Create a NetricsRecord object.
Public Member Functions inherited from NetricsServerInterface.NetricsBaseRecord
String | getKey ()
| Get the key of a record.
String | getParentKey ()
| Retrieve the parent key of a record.
int | numBytes ()
| Return the number of bytes of data in this record.
String[] | getFields ()
| Can be used to get the content of a record.
String[] | getAttrNames ()
| Returns the names of name/value attributes of the record.
String[] | getAttrValues ()
| Returns the values of name/value attributes of the record.
String | getAttribute (String attr_name)
| Gets the specified attribute value of the record.
override String | ToString ()

## Detailed Description

This class holds record data for an ibi™ Patterns - Search table.

This class is the means by which data is transported. It is used to load, add, and replace records, and is returned (with additional information) by a search.

All records have field structure. The field structure in the record must match the field structure of the table it will be loaded into.

## Member Enumeration Documentation

## ◆ ChildType

enum NetricsServerInterface.NetricsRecord.ChildType

The different types of child records.

Enumerator
ORPHANS | Child records not linked to an existing parent record. This includes standard records in a child table.
NONORPHANS | Child records that are linked to an existing parent record.
ALL | Any type of child record. This includes both ORPHANS and NONORPHANS

## Constructor & Destructor Documentation

## ◆ NetricsRecord() [1/4]

NetricsServerInterface.NetricsRecord.NetricsRecord | ( | String | key,
|  | String | parent_key,
|  | String[] | fields
| ) |  |
| inline

Create a NetricsRecord object.

Parameters

  key | A unique (user-specified) identifier for the record.
  parent_key | Key of the record's parent. If this is null or empty a stadard record is created instead of a child record.
  fields | The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.

## ◆ NetricsRecord() [2/4]

NetricsServerInterface.NetricsRecord.NetricsRecord | ( | String | key,
|  | String | parent_key,
|  | String[] | fields,
|  | String[] | attr_names,
|  | String[] | attr_values
| ) |  |
| inline

Create a NetricsRecord object.

Parameters

  key | A unique (user-specified) identifier for the record.
  parent_key | Key of the record's parent. If this is null or empty a stadard record is created instead of a child record.
  fields | The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.
  attr_names | Names of attributes associated with this record.
  attr_values | Values of attributes associated with this record, in the same order as attr_names.

## ◆ NetricsRecord() [3/4]

NetricsServerInterface.NetricsRecord.NetricsRecord | ( | String | key,
|  | String[] | fields,
|  | String[] | attr_names,
|  | String[] | attr_values
| ) |  |
| inline

Create a NetricsRecord object.

Parameters

  key | A unique (user-specified) identifier for the record.
  fields | The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.
  attr_names | Names of attributes associated with this record.
  attr_values | Values of attributes associated with this record, in the same order as attr_names.

## ◆ NetricsRecord() [4/4]

NetricsServerInterface.NetricsRecord.NetricsRecord | ( | String | key,
|  | String[] | fields
| ) |  |
| inline

Create a NetricsRecord object.

Parameters

  key | A unique (user-specified) identifier for the record.
  fields | The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.